<template>
  <div>
    <el-dialog v-bind="$attrs" v-on="$listeners" @close="handleClose" :close-on-click-modal="false" class="centerDialog">
      <slot></slot>
      <slot name="footer" class="dialog-footer"></slot>
    </el-dialog>
  </div>
</template>
<script>
export default {
  name: "SocWebDialog",

  data() {
    return {};
  },

  mounted() {},

  methods: {
    handleClose(){
      this.$emit("close");
    }
  },
};
</script>
<style lang="scss" >
.dialog-footer {
  text-align: right;
}
</style>
<style lang="scss" scoped>
  //.centerDialog{
  //  position: absolute;
  //  top: 20%;
  //}
</style>
